      subroutine pairgen
c This subroutine generates a ligand-receptor pairlist
c based on a cutoff (rcut) and on the active atoms (in case of multiple copies)
c active atoms are in iacr(i):receptor and iacl(j):ligand.
      include "CADD.t"
      jj=0
      k=1
      rcut0=dsqrt(rcut)
      do 250 i=1,natom
      if(iacr(i).eq.1.and.iac(i).ne.32) then
      iii=3*(i-1)
      it=iac(i)
      do 255 j=1,nlig
      if(iacl(j).eq.1.and.iaci(j).ne.32) then
      jjj=3*(j-1)
      jt=iaci(j)
      rcut1=(rcut0+rbc(it,jt))**2 
c     write(*,*)'rcut',i,j,iac(i),iaci(j), rcut, rcut1
      rd=(yc(iconf,iii+1)-y(iconf,jjj+1))**2+
     1   (yc(iconf,iii+2)-y(iconf,jjj+2))**2+
     1   (yc(iconf,iii+3)-y(iconf,jjj+3))**2 
      if(rd.le.rcut1) then
c     write(*,*)'rcut',i,j,iac(i),iaci(j),rd, rcut, rcut1
      jj=jj+1
      nonr(jj)=i
      nonl(jj)=j
      endif
      endif
  255 continue
      endif
  250 continue
      nonp=jj
c     write(*,*)'nonp',nonp
      return
      end
