      subroutine remin
      include "CADD.t"
c   under development
c   xc: coordinates of receptor atoms
c   fc: forces on receptor atoms
c   val: eigenvalues 
c   eig: eigenvectors (2D vector)
c
c  do force and deviation projection on eigenvectors
c
c  delta(i+jr): skalar product between force fc and eigenvector I
c  dei(i): skalar product between difference(actual pos.-ori-pos.) and eig(i).
C
      erezp=xnull
      if(iab.eq.1) then
      do 15 i=1,neigen
      delta(i+jr)=xnull
      ximplicit(i)=xnull
      xexplicit(i)=xnull
   15 continue
      endif
      do 20 i=1,neigen
      dei(i)=xnull
      if(iab.eq.1) then
      do 30 j=1,n3
      xexplicit(i)=xexplicit(i)-1.0d0*fc(j)*eig(i,j) 
      delta(i+jr)=delta(i+jr)-1.0d0*fc(j)*eig(i,j)
   30 continue
      endif
      do 40 j=1,n3
      dei(i)=dei(i)+(yc(iconf,j)-xzz(j))*eig(i,j)
c     dei(i)=dei(i)+yc(4,j)*eig(i,j)
   40 continue
   20 continue
c
c  compare contribution to mode i calculated from the scalar product (dei(i))
c  with the accumulated deformation factor (rez(i))
c  add the implicit part
c
      erezp=xnull
      do 50 i=1,neigen
c      write(*,*)' dei(i), rez(i)', i, dei(i),rez(i)
      en=val(i)*rez(i)**4
      erezp=erezp+en
      if(iab.eq.1) then
      delold=4.0d0*val(i)*rez(i)*rez(i)**2
      ximplicit(i)=ximplicit(i)+delold
c     write(*,*)'imp-exp',ximplicit(i),xexplicit(i)
      delta(i+jr)=delta(i+jr)+delold
      endif
   50 continue
      return 
      end
