      subroutine rmove(step)
c subroutine to make step in soft mode direction for the receptor protein
      include "CADD.t"
      factr=1.0d0
      diff=0.0d0
      diff2=0.0d0
c  yc(5,j) accumulates all mode deformations of the current minimization
c  yc(4,j) accumulates the total deformation over all minimizations
c  rez(i) accumulates the deformation in the mode i (deformation factor)
      do 50 j=1,n3
      yc(5,j)=0.0d0
   50 continue
      do 100 i=1,neigen
      rez(i)=rez(i)-delta(i+jr)*factr*step
      write(*,*)'rez',i,rez(i)
c     write(*,*)'eigenvector',i,delta(i+jr),factr,step
      do 110 j=1,n3
      yc(5,j)=yc(5,j)-eig(i,j)*delta(i+jr)*factr*step
  110 continue
  100 continue
      do 120 j=1,n3
      diff=diff+yc(5,j)+yc(4,j)
      diff2=diff2+yc(4,j)
      yc(iconf,j)=xzz(j)+yc(4,j)+yc(5,j)
  120 continue
      write(*,*)'diff2',diff2
      return
      end
