      SUBROUTINE MDNRIS (P,Y,IER)                                       MDRS0410
C                                  SPECIFICATIONS FOR ARGUMENTS         MDRS0420
      REAL*8             P,Y                                            MDRS0430
      INTEGER            IER                                            MDRS0440
C                                  SPECIFICATIONS FOR LOCAL VARIABLES   MDRS0450
      REAL*8             EPS,G0,G1,G2,G3,H0,H1,H2,A,W,WI,SN,SD          MDRS0460
      REAL*8             SIGMA,SQRT2,X,XINF                             MDRS0470
      DATA               XINF/1.7014E+38/                               MDRS0480
      DATA               SQRT2/1.414214/                                MDRS0490
      DATA               EPS/1.1921E-07/                                MDRS0500
      DATA               G0/.1851159E-3/,G1/-.2028152E-2/               MDRS0510
      DATA               G2/-.1498384/,G3/.1078639E-1/                  MDRS0520
      DATA               H0/.9952975E-1/,H1/.5211733/                   MDRS0530
      DATA               H2/-.6888301E-1/                               MDRS0540
C                                  FIRST EXECUTABLE STATEMENT           MDRS0550
      IER = 0                                                           MDRS0560
      IF (P .GT. 0.0d0.AND. P .LT. 1.0d0) GO TO 5                          MDRS0570
      IER = 129                                                         MDRS0580
      SIGMA = SIGN(1.0d0,P)                                               MDRS0590
      Y = SIGMA * XINF                                                  MDRS0600
      GO TO 9000                                                        MDRS0610
    5 IF(P.LE.EPS) GO TO 10                                             MDRS0620
      X = 1.0 -(P + P)                                                  MDRS0630
      CALL MERFI (X,Y,IER)                                              MDRS0640
      Y = -SQRT2 * Y                                                    MDRS0650
      GO TO 9005                                                        MDRS0660
C                                  P TOO SMALL, COMPUTE Y DIRECTLY      MDRS0670
   10 A = P+P                                                           MDRS0680
      W = SQRT(-DLOG(A+(A-A*A)))                                        MDRS0690
C                                  USE A RATIONAL FUNCTION IN 1./W      MDRS0700
      WI = 1.0d0/W                                                         MDRS0710
      SN = ((G3*WI+G2)*WI+G1)*WI                                        MDRS0720
      SD = ((WI+H2)*WI+H1)*WI+H0                                        MDRS0730
      Y = W + W*(G0+SN/SD)                                              MDRS0740
      Y = -Y*SQRT2                                                      MDRS0750
      GO TO 9005                                                        MDRS0760
 9000 CONTINUE                                                          MDRS0770
      write(*,*)'muell2'
 9005 RETURN                                                            MDRS0790
      END                                                               MDRS0800
