      subroutine brow(ivmax,wori,wtra,weig,pca,xzr,ialpst)
      include "CADD.t"
      double precision dseed
      dimension xoldl(9000),xoldr(15000),foldl(9000),foldr(15000)
      dimension wori(3),pca(3,3),pcao(3,3),pcar(3,3),fpca(3),xzr(*)
      dimension ialpst(*)
      dseed=1234569d0
c
      erest=xnull
      erezp=xnull
      epote=xnull
      enon=xnull
      do i=1,3
      do j=1,3
      pcar(i,j)=pca(i,j)
      enddo
      enddo
      xaol=xa
      yaol=ya
      zaol=za
      iab=1
      tstep=0.05d0
      write(*,*) 'wori,wtra,weig',wori(1),wori(2),wori(3),wtra,weig
c setup of brownian dynamics run
c precalculate sigma and wsigt vectors
      call timestep(tstep,wori,weig,wtra)
c  start brownian dynamics run
      kpdb=0
      kpair=0
      call pairgen
      call nonbon8
      if(irst.eq.1) call disre
      gesaold=enon+epote+erest+erezp
      do 20 ib=1,ivmax
c get cartesian forces on receptor and ligand
      kpdb=kpdb+1
      kpair=kpair+1
c     if(kpair.ge.3) then
      call pairgen
c     kpair=0
c     endif
      call nonbon8
      if(irst.eq.1) call disre
      gesa=enon+epote+erest+erezp
c omitt the old step if the new energy is considerably higher then the previous one 
      if(gesa-gesaold.gt.2.0) then
      write(*,*)'old vs new enrgy',ib,gesaold,gesa,xdi
c replace all variables by old ones:
      if(iori.eq.1) then
      do i=1,3
      do j=1,3
      pca(i,j)=pcao(i,j)
      enddo
      enddo
      endif
      if(itra.eq.1) then
      xa=xaold
      ya=yaold
      za=zaold
      endif 
      if(itra.eq.1.or.iori.eq.1) then
      do 22 i=1,nl3
      y(iconf,i)=xoldl(i)
      f(i)=foldl(i)
   22 continue 
      endif
      if(irez.eq.1) then
      do 24 i=1,n3
      yc(iconf,i)=xoldr(i)
      fc(i)=foldr(i)
   24 continue 
      endif
c adjust time step
      tstep=0.50*tstep
      call timestep(tstep,wori,weig,wtra)
      else
      gesaold=gesa
      if(kpdb*tstep.ge.5.0)then
      if(tstep.lt.0.25) tstep=1.10*tstep
      call timestep(tstep,wori,weig,wtra)
      xdi=xnull
      do 845 i=1,nresl
      ii=3*(ialpl(i) - 1)
      jj=3*(ialpl(i) - 1)
      xdi=xdi+(y(iconf,ii+1)-xzr(jj+1))**2+
     1        (y(iconf,ii+2)-xzr(jj+2))**2+
     2        (y(iconf,ii+3)-xzr(jj+3))**2
  845 continue
      xdi=sqrt(xdi/nresl)
      write(*,*)'energy at step : '
      write(*,'(i5,7f11.4)')ib,tstep,gesaold,enon,epote,erest,erezp,xdi
c     write(*,*)'pca',1,
c    1 acos(pca(1,1)*pcar(1,1)+pca(1,2)*pcar(1,2)+pca(1,3)*pcar(1,3))
c     write(*,*)'pca',2,
c    1 acos(pca(2,1)*pcar(2,1)+pca(2,2)*pcar(2,2)+pca(2,3)*pcar(2,3))
c     write(*,*)'pca',3,
c    1 acos(pca(3,1)*pcar(3,1)+pca(3,2)*pcar(3,2)+pca(3,3)*pcar(3,3))
c     write(*,*)'newcenter',xa-xaol,ya-yaol,za-zaol
      do 85 i=1,nlig
      ii=3*(i - 1)
      write(57,26) "ATOM",i,"CA  ","ALA ",i,y(iconf,ii+1),
     1     y(iconf,ii+2),y(iconf,ii+3)
   85 continue
      write(57,'(a3)') "TER"
      do 95 i=1,natom
      ii=3*(i - 1)
      write(57,26) "ATOM",i,"CA  ","LEU ",i,yc(iconf,ii+1),
     1     yc(iconf,ii+2),yc(iconf,ii+3)
   95 continue
      write(57,'(a3)') "TER"
      write(57,'(a3)') "END"
      kpdb=0
      endif
      endif
c get the orientational force components
      if(iori.eq.1) then
      call forcepca(x,f,pca,fpca,natom)
      delta(1)=fpca(1) 
      delta(2)=fpca(2) 
      delta(3)=fpca(3) 
      endif
c get the translational force components
      if(itra.eq.1) call trans
c get the forces in eigenvector directions of the receptor
      if(irez.eq.1) call remin
c store old variables
      if(iori.eq.1) then
      do i=1,3  
      do j=1,3
      pcao(i,j)=pca(i,j)
      enddo
      enddo
      endif
      if(itra.eq.1) then
      xaold=xa
      yaold=ya
      zaold=za
      endif 
      if(itra.eq.1.or.iori.eq.1) then
      do 42 i=1,nl3
      xoldl(i)=y(iconf,i)
      foldl(i)=f(i)
   42 continue 
      endif
      if(irez.eq.1) then
      do 44 i=1,n3
      xoldr(i)=yc(iconf,i)
      foldr(i)=fc(i)
   44 continue 
      endif
c ju is the maximum number of variables, get ju gausian random numbers 
c stored in the vector rdv.
      call GGNML(dseed,ju,rdv)
c calculate step vector
      do 45 i=1,ju
      rdis(i)=delta(i)*sigma(i)+wsigt(i)*rdv(i)
c     write(*,*)'rdis',i,rdis(i),sigma(i),wsigt(i),rdv(i)
   45 continue
c calculate new coordinates
      if(iori.eq.1) then
      call rotbia(xb,x,rdis,pca,nlig)
      endif
      if(itra.eq.1) then
      xa=xa+rdis(jl+1)
      ya=ya+rdis(jl+2)
      za=za+rdis(jl+3)
      endif
c recalculate xyz coordinates of ligand protein (translation)
      do 50 i=1,nlig
      ii=3*(i-1)
      y(iconf,ii+1)=xa+x(ii+1)
      y(iconf,ii+2)=ya+x(ii+2)
      y(iconf,ii+3)=za+x(ii+3)
   50 continue
      if(irez.eq.1) then 
      do 100 i=1,neigen
      do 110 j=1,n3
      yc(iconf,j)=yc(iconf,j)-eig(i,j)*rdis(i+jr)
  110 continue
      rez(i)=rez(i)-rdis(i+jr)
  100 continue
      endif
c now new coordinates are calculated
   20 continue
      gesa=enon+epote+erest+erezp
   26 format(a4,i7,2x,a4,a4,i5,f12.3,2f8.3)
      return
      end
c
      subroutine forcepca(x,f,pca,fpca,natom)
c 
c this subroutine calculates the gradient with respect to 
c rotations around a set of 3 orthogonal axis (PCs of the hydrodynamic tensor)
c
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      dimension rd(3),pca(3,3),fpca(3)
      dimension f(*),x(*)
      do 20 jt=1,3
      fpca(jt)=0.0d0
      do 100 i=0,3*natom,3
      rd(1)=pca(jt,2)*x(i+3)-x(i+2)*pca(jt,3)
      rd(2)=pca(jt,3)*x(i+1)-x(i+3)*pca(jt,1)
      rd(3)=pca(jt,1)*x(i+2)-x(i+1)*pca(jt,2)
      do 110 k=1,3
      fpca(jt)=fpca(jt)-rd(k)*f(i+k)
  110 continue
  100 continue 
   20 continue
      end
c
      subroutine rotbia (xo,x,xp,pca,natom)
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      dimension rot(3,3),pca(3,3),pcan(3,3),rl(3)
      dimension x(*),xo(*),xp(*)
c setup of bias free rotation matrix
      xp12=xp(1)**2
      xp22=xp(2)**2
      xp32=xp(3)**2
      xps2=xp12+xp22+xp32 
      xps=sqrt(xps2)
      cxps=cos(xps)
      sxps=sin(xps)
      xps2=1.0d0/xps2
      xps=1.0d0/xps
      rot(1,1)=xps2*((xp22+xp32)*cxps+xp12)
      rot(1,2)=xps2*xp(1)*xp(2)*(1.0d0-cxps)+xps*xp(3)*sxps
      rot(1,3)=xps2*xp(1)*xp(3)*(1.0d0-cxps)-xps*xp(2)*sxps
      rot(2,1)=xps2*xp(1)*xp(2)*(1.0d0-cxps)-xps*xp(3)*sxps
      rot(2,2)=xps2*((xp12+xp32)*cxps+xp22)
      rot(2,3)=xps2*xp(2)*xp(3)*(1.0d0-cxps)+xps*xp(1)*sxps
      rot(3,1)=xps2*xp(1)*xp(3)*(1.0d0-cxps)+xps*xp(2)*sxps
      rot(3,2)=xps2*xp(2)*xp(3)*(1.0d0-cxps)-xps*xp(1)*sxps
      rot(3,3)=xps2*((xp12+xp22)*cxps+xp32)
c
c     go through all atoms to be moved
c
      do 60 i=1,3
      pcan(i,1)=rot(1,i)*pca(1,1)+rot(2,i)*pca(2,1)+rot(3,i)*pca(3,1)
      pcan(i,2)=rot(1,i)*pca(1,2)+rot(2,i)*pca(2,2)+rot(3,i)*pca(3,2)
      pcan(i,3)=rot(1,i)*pca(1,3)+rot(2,i)*pca(2,3)+rot(3,i)*pca(3,3)
   60 continue
      do 100,i=1,natom
      ii=3*(i-1)
      rl(1)=pcan(1,1)*xo(ii+1)+pcan(2,1)*xo(ii+2)+pcan(3,1)*xo(ii+3)
      rl(2)=pcan(1,2)*xo(ii+1)+pcan(2,2)*xo(ii+2)+pcan(3,2)*xo(ii+3)
      rl(3)=pcan(1,3)*xo(ii+1)+pcan(2,3)*xo(ii+2)+pcan(3,3)*xo(ii+3)
      x(ii+1)=rl(1)
      x(ii+2)=rl(2)
      x(ii+3)=rl(3)
  100 continue
      do 110 i=1,3
      do 120 j=1,3
      pca(i,j)=pcan(i,j)
  120 continue
  110 continue
      return
      end
c
      subroutine timestep(tstep,wori,weig,wtra)
      include "CADD.t"
      dimension wori(3)
      if(iori.eq.1) then
      do 5 i=1,3
      sigma(i)=wori(i)*tstep
      wsigt(i)=sqrt(sigma(i))
    5 continue
      endif
      if(itra.eq.1) then
      do 10 i=1,3
      sigma(jl+i)=wtra*tstep
      wsigt(jl+i)=sqrt(sigma(jl+i))
   10 continue
      endif
      if(irez.eq.1) then
      do 15 i=1,neigen
      sigma(jr+i)=weig*tstep
      wsigt(jr+i)=sqrt(sigma(jr+i))
   15 continue
      endif
      return 
      end
