      subroutine steep(ivmax) 
      include "CADD.t" 
c This is a simple steepest descend energy minimization routine 
c with an adaptive step size (tep) 
      tep=0.001d0
      iab=1
      ifinal=0
      eps=1.0d-9
      ftol=0.1d-9
      iii=0
      erest=xnull
      erezp=xnull
      epote=xnull
      enon=xnull
 1000 call select
      call pairgen
      call nonbon8
      if(irst.eq.1) call disre
      if(irez.eq.1) call remin
      if(iori.eq.1) call rota
      if(itra.eq.1) call trans
      fret=enon+epote+erest+erezp
      do 2000 its=1,ivmax
      if(iori.eq.1) then
      call omove(tep)
      endif
      if(itra.eq.1) then
      xd=xa+tep*delta(jl+1)
      yd=ya+tep*delta(jl+2)
      zd=za+tep*delta(jl+3)
      do 1003 i=1,nlig
      jj=3*(i-1)
      y(iconf,jj+1)=xd+x(jj+1)
      y(iconf,jj+2)=yd+x(jj+2)
      y(iconf,jj+3)=zd+x(jj+3)
 1003 continue
      else
      do 1004 i=1,nlig
      jj=3*(i-1)
      y(iconf,jj+1)=xa+x(jj+1)
      y(iconf,jj+2)=ya+x(jj+2)
      y(iconf,jj+3)=za+x(jj+3)
 1004 continue
      endif 
      if(irez.eq.1) call rmove(tep)
      fp=fret
      call nonbon8
      if(irst.eq.1) call disre 
      if(irez.eq.1) call remin 
      fret=enon+epote+erest+erezp
      if(2.0d0*abs(fret-fp).le.ftol*eps) then
         ifinal=1
         goto 3000
      endif
      if(fret.gt.fp) then
      fret=fp
      if(irez.eq.1) then
      do 1052 i=1,n3
      yc(iconf,i)=yc(iconf,i)-yc(5,i)
 1052 continue
      endif
      tep=0.25*tep
      else
c if accepted update position and orientation
      if(iori.eq.1) then
      phi=phi+delta(1)*facto*tep
      ssi=ssi+delta(2)*facto*tep
      rot=rot+delta(3)*facto*tep
      endif
      if(itra.eq.1) then
      xa=xa+delta(jl+1)*tep
      ya=ya+delta(jl+2)*tep
      za=za+delta(jl+3)*tep
      endif
      if(irez.eq.1) then
      do 1102 i=1,n3
      yc(4,i)=yc(4,i)+yc(5,i)
 1102 continue
      endif
      if(ieigl.eq.1) then
      do 1200 i=1,n3l
      y(4,i)=y(4,i)+y(5,i)
 1200 continue
      endif
      if(iori.eq.1) call rota
      if(itra.eq.1) call trans
c update step size
      tep=2.0*tep
      endif
 2000 continue
 3000 gesa=fret
      if(ifinal.eq.1) then
      if(iori.eq.1) then
      phi=phi+delta(1)*facto*tep
      ssi=ssi+delta(2)*facto*tep
      rot=rot+delta(3)*facto*tep
      endif
      if(itra.eq.1) then
      xa=xa+delta(jl+1)*tep
      ya=ya+delta(jl+2)*tep
      za=za+delta(jl+3)*tep
      endif
      if(irez.eq.1) then
      do 2102 i=1,n3
      yc(4,i)=yc(4,i)+yc(5,i)
 2102 continue
      endif
      if(ieigl.eq.1) then
      do 2200 i=1,n3l
      y(4,i)=y(4,i)+y(5,i)
 2200 continue
      endif
      if(iori.eq.1) call rota
      if(itra.eq.1) call trans
      endif
      return 
      end
