      subroutine surface(xcrd,ycrd,zcrd,ity,radi,sasa,snth,csth,
     1                 cphgh,sphgh,srad,natoms,ncosth,nphi,ioffset)
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      dimension xcrd(natoms),ycrd(natoms),zcrd(natoms),radi(natoms),
     1          snth(ncosth),csth(ncosth),cphgh(nphi),sphgh(nphi),
     2          sasa(natoms+ioffset)
      dimension ity(natoms),neigh(200)
c
      logical coverd
      pi= 3.141592654d0
      do 100 ii = 1, natoms
        radii=radi(ity(ii))
c       write(*,*)'radii',ii,ity(ii),radii
        sasa(ii+ioffset) = 0.0d0
c       make a neighbor list
        numneh = 1
        do 200 jj = 1, natoms
        radjj=radi(ity(jj))
        if (jj.ne.ii) then
           ccdist =   ( xcrd(ii) - xcrd(jj) )**2
     .                    +( ycrd(ii) - ycrd(jj) )**2
     .                    +( zcrd(ii) - zcrd(jj) )**2
        rr=(radii+radjj+2.0d0*srad)*(radii+radjj+2.0d0*srad)
c       write(*,*)'rr',rr,ccdist
        if (ccdist.le.rr.and.ccdist.gt.0.0d0) then
              neigh(numneh) = jj
c             write(*,*)'rr,cc,ne',ii,jj,radjj,ccdist
              numneh = numneh + 1
              if (numneh.gt.200) then
                  write(*,*) 'ERROR: Atom has too many neighbors'
              endif
            endif
          endif
200     continue
        numneh = numneh - 1
c       write(*,*)'numneh',ii,numneh
        do 500 jj = 1, ncosth
          costh = csth(jj)
          sinth = snth(jj)
          do 600 kk = 1, nphi
c           write(*,*)'costh,sinth,phigh',costh,sinth,phigh
            xp = (radii+srad)*sinth*cphgh(kk)
            yp = (radii+srad)*sinth*sphgh(kk)
            zp = (radii+srad)*costh
c           write(*,*)'xp',xp,yp,zp
c           write(*,*)'xcrd',xcrd(ii),ycrd(ii),zcrd(ii)
c           go over neighbors
            ll = 1
            coverd = .false.
700         if( (.not.coverd).and.(ll.le.numneh) ) then
            nu=neigh(ll)
c           write(*,*)'xcrd',xcrd(nu),ycrd(nu),zcrd(nu)
              if (  ( xcrd(ii) + xp - xcrd(neigh(ll)) ) **2
     .                  +( ycrd(ii) + yp - ycrd(neigh(ll)) ) **2
     .                  +( zcrd(ii) + zp - zcrd(neigh(ll)) ) **2 .lt.
     .               ( radi(ity(neigh(ll)))+srad)**2 ) coverd = .true.
c
              ll = ll + 1
              goto 700
            endif
            if (.not.coverd) sasa(ii+ioffset)=sasa(ii+ioffset)+1.0d0
600       continue
500     continue
        sasa(ii+ioffset) = (radii+srad)**2*(2.0d0/float(ncosth))*
     .             (2.0d0*pi/nphi)*sasa(ii+ioffset)
c
100   continue
      return
      end
